Alembic 1.8.11

Loading...
Searching...
No Matches
Alembic::Abc::ALEMBIC_VERSION_NS::ErrorHandler Class Reference

## Classes
class | Context

## Public Types
enum | Policy { kQuietNoopPolicy , kNoisyNoopPolicy , kThrowPolicy }
enum | UnknownExceptionFlag { kUnknownException }

## Public Member Functions
| ErrorHandler (Policy iPolicy)
void | operator() (std::exception &iExc, const std::string &iCtx="")
void | operator() (const std::string &iErrMsg, const std::string &iCtx="")
void | operator() (UnknownExceptionFlag iUef, const std::string &iCtx="")
Policy | getPolicy () const
void | setPolicy (Policy iPolicy)
const std::string | getErrorLog () const
bool | valid () const
void | clear ()

## Member Function Documentation

## ◆ operator()()

void Alembic::Abc::ALEMBIC_VERSION_NS::ErrorHandler::operator() | ( | std::exception & | iExc,
|  | const std::string & | iCtx = "" )

Default copy constructor Default assignment operator

The documentation for this class was generated from the following files:

- Abc/ErrorHandler.h
- Abc/ErrorHandler.cpp